Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.swt
Class CompositeCategoryJFaceTreeRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VELEMENT>
              org.eclipse.emf.ecp.view.spi.categorization.swt.AbstractJFaceTreeRenderer<VCategorization>
                  org.eclipse.emf.ecp.view.spi.categorization.swt.CompositeCategoryJFaceTreeRenderer

    public class CompositeCategoryJFaceTreeRenderer

extends AbstractJFaceTreeRenderer<VCategorization>

Tree renderer for composite category.

Author:
  Eugen Neufeld

Constructor Summary
`CompositeCategoryJFaceTreeRenderer(VCategorization vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsRendererFactory emfFormsRendererFactory)` Default constructor.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.view.spi.categorization.swt.AbstractJFaceTreeRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeCategoryJFaceTreeRenderer

    @Inject
    public CompositeCategoryJFaceTreeRenderer(VCategorization vElement,
                                                     ViewModelContext viewContext,
                                                     ReportService reportService,
                                                     EMFFormsRendererFactory emfFormsRendererFactory)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - the `ReportService`
    `emfFormsRendererFactory` - The `EMFFormsRendererFactory`
  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.